
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/basic/CachePoint.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "缓存点",
      name: "CachePoint",
      url: "/CachePoint/",
      sortName: "id",
    });
    const editFormFields = ref({
      areaId: "",
      pointCode: "",
      pointStatus: "",
      enableStatus: "",
      pointType: "",
      row: "",
      column: "",
      depth: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "缓存点编号",
          required: true,
          field: "pointCode",
          type: "string",
        },
        // {title: "区域主键",required: true,field: "areaId",type: "select",dataKey: "areainfo", data: [] ,},
        {
          title: "缓存点状态",
          field: "pointStatus",
          type: "select",
          dataKey: "locationStatusEnum",
          data: [],
        },
        {
          title: "是否禁用",
          field: "enableStatus",
          type: "select",
          dataKey: "enableStatusEnum",
          data: [],
        },
         {
          title: "物料类型",
          field: "materialtype",
           type: "select",
           dataKey: "materielInfo",
              data: [],
         },
      ],
    ]);
    const searchFormFields = ref({
      areaId: "",
      pointCode: "",
      pointStatus: "",
      enableStatus: "",
      pointType: "",
      row: "",
      column: "",
      depth: "",
      Materialtype: "",
    });
    const searchFormOptions = ref([
      [
        { title: "缓存点编号", field: "pointCode", type: "like" },
        { title: "物料类型", field: "materialtype", type: "like" },
           {
          title: "物料类型",
          field: "materialtype",
           type: "select",
           dataKey: "materielInfo",
              data: [],
         },
        // {title: "区域主键",field: "areaId",type: "select",dataKey: "areainfo",data: [],},
        {
          title: "缓存点状态",
          field: "pointStatus",
          type: "select",
          dataKey: "locationStatusEnum",
          data: [],
        },
        {
          title: "是否禁用",
          field: "enableStatus",
          type: "select",
          dataKey: "enableStatusEnum",
          data: [],
        },
      ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      //  {
      //  field: "areaId",
      //   title: "区域主键",
      //   type: "int",
      //   width: 120,
      //   align: "left",
      //   bind:{ key: "areainfo", data: [] },
      // },
      {
        field: "pointCode",
        title: "缓存点编号",
        type: "string",
        width: 150,
        align: "left",
      },
      {
        field: "pointStatus",
        title: "缓存点状态",
        type: "string",
        width: 90,
        align: "left",
        bind: { key: "locationStatusEnum", data: [] },
      },
      {
        field: "materialtype",
        title: "物料类型",
        type: "string",
        width: 90,
        align: "left",
        // bind: { key: "locationStatusEnum", data: [] },
      },
       {
        field: "pointName",
        title: "缓存架区域",
        type: "string",
        width: 90,
        align: "left",
        // bind: { key: "locationStatusEnum", data: [] },
      },
      
      {
        field: "enableStatus",
        title: "是否禁用",
        type: "decimal",
        width: 90,
        align: "left",
        bind: { key: "enableStatusEnum", data: [] },
      },

      // {
      //   field: "pointType",
      //   title: "缓存点类型",
      //   type: "string",
      //   width: 90,
      //   align: "left",
      //},
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    